<!DOCTYPE html>
<html>
  <head>
    <title>Menu TAB</title>
  </head>
  <body>
    <div class="screen"></div>
    <ul class="tabs">
      <li class="tab-about">About</li>
      <li class="tab-product">Product</li>
      <li class="tab-technology">Technology</li>
      <li class="tab-download">Download</li>
    </ul>

    <style>
      body {
        margin: 0;
      }
      * {
        box-sizing: border-box;
      }
      .screen {
        width: 100%;
        height: 300px;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white;
      }
      .tabs {
        display: flex;
        justify-content: space-around;
        list-style: none;
        margin: 0;
        padding: 0;
      }
      .tabs *:hover {
        opacity: 0.5;
      }
      .tabs * {
        padding: 10px 20px;
        width: 25%;
        text-align: center;
        cursor: pointer;
      }
      .tab-about {
        background-color: red;
      }
      .tab-product {
        background-color: orange;
      }
      .tab-technology {
        background-color: yellowgreen;
      }
      .tab-download {
        background-color: purple;
      }
    </style>

    <script>
      //
      const screen = document.querySelector(".screen");
      const btns = document.querySelectorAll("li");

      //
      function changeScreen(e) {
        let bgColor = document.defaultView.getComputedStyle(e.target, null).getPropertyValue("background-color");
        screen.style.backgroundColor = bgColor;
        screen.textContent = e.target.className.split("-")[1].toUpperCase();
      }
      function init() {
        screen.style.backgroundColor = "red";
        screen.textContent = "ABOUT";
      }

      //
      btns.forEach((btn) => btn.addEventListener("click", changeScreen));

      init();
    </script>
  </body>
</html>
